//<!--
//
// ident "$Id$ SMI"
//
// Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
// Use is subject to license terms.
//

var serverTableId = "f1:p1:t1"

function getTable() {
    return document.getElementById(serverTableId);
}

function initAllRows() {
    getTable().initAllRows();
}

function disableActions() {
    var selections = getTable().getAllSelectedRowsCount();
    var enabled = (selections > 0) ? false : true;
    document.getElementById(serverTableId + ":actionsTop:warmRestart").setDisabled(enabled);
    document.getElementById(serverTableId + ":actionsTop:coldRestart").setDisabled(enabled);
}

function confirmSelectedRowsForWarmRestart(message) {
    return getTable().confirmSelectedRows(message);
}

function confirmSelectedRowsForColdRestart(message) {
    return getTable().confirmSelectedRows(message);
}

function confirmWarmRestart(message) {
    return confirm(message);
}

function confirmColdRestart(message) {
    return confirm(message);
}

//-->
